Package org.eclipse.jgit.errors

## Class NoWorkTreeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.jgit.errors.NoWorkTreeException

All Implemented Interfaces:
  `Serializable`

    public class NoWorkTreeException
    extends IllegalStateException

Indicates a `Repository` has no working directory, and is thus bare.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoWorkTreeException()` Creates an exception indicating there is no work tree for a repository.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoWorkTreeException

    public NoWorkTreeException()

Creates an exception indicating there is no work tree for a repository.